=== debian/changelog ===
kdepim4 (4:4.14.10-7) unstable; urgency=medium

  * Team upload.
  * Remove the handling of kalarm icons, as kalarm is no more built by this
    source.
  * Disable the build of most of the unused applications and libraries:
    - disable the build of mobile stuff (-DKDEPIM_BUILD_MOBILE=false to cmake)
    - pass -DBUILD_<foo>=false to cmake to disable console, akonadiconsole,
      akregator, blogilo, grantleeeditor, importwizard, kaddressbook, kalarm,
      kjots, kleopatra, kmail, kmailcvt, knotes, kontact, korgac, korganizer,
      ksendemail, ktnef, mboximporter, pimsettingexporter, sieveeditor, and
      storageservicemanager
  * Do not install the Qt Designer plugins and their icons, as there is no
    development stuff.
  * Do not install unused libraries.
    - remove unused packages: libmailcommon4, libmailimporter4
  * Update install files.
  * The above install cleanups should fix the circular dependencies because of
    libkdepim4. (Closes: #729363)
  * Remove unused build dependencies: akonadi-server, libkactivities-dev,
    libprison-dev, libqt4-opengl-dev, libsearchclient-dev, libsoprano-dev,
    libxml2-dev, and sharutils.
  * Update Vcs-* fields.
  * Update the patches:
    - debianize_akregator_default.diff: drop, no more needed
    - kubuntu_debianize_akregator_default.diff: drop, no more needed
    - kubuntu_install_headers.diff: drop, no more needed
    - disable_has_focus_tests_failed_in_xvfb.patch: drop, tests are not run
    - disable_test_verify: drop, stale file
    - spambayes.patch: drop, stale file
  * Install the knode and ktimetracker documentations in the application
    packages; add proper breaks/replaces against old kdepim-doc versions.
  * Update not-installed file.
  * Fix typo in description of libkdgantt2-0.
  * Update lintian overrides.
  * Remove useless debian/docs file, not needed for knode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add a simple description for libsendlater4. (Closes: #731301)

 -- Pino Toscano <pino@debian.org>  Tue, 09 Aug 2016 19:48:43 +0200

kdepim4 (4:4.14.10-6) unstable; urgency=medium

  * Drop kgapi build dependency.
    Thanks to Jeremy Bicha for the report (Closes: 830511)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Jul 2016 14:17:17 +0200

kdepim4 (4:4.14.10-5) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:43:00 +0200

kdepim4 (4:4.14.10-4) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 16:10:58 +0200

kdepim4 (4:4.14.10-3) experimental; urgency=medium

  * Rename source package to keep only knode and ktimetracker.
  * Migrate to the automatic dbgsym packages
  * Drop build depends indep
  * Drop link-grammar build dependency
  * Remove images installed by korganizer

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 15:37:43 +0200

kdepim (4:4.14.10-2) unstable; urgency=medium

  * Team upload.
  * Add kdepim-mobileui-data Breaks/Replaces libmessageviewer4 (Closes:
    #788465)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 Sep 2015 11:05:40 -0400

kdepim (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.6).
  * New upstream release (4.14.7).
  * New upstream release (4.14.8).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Refresh patches.
  * Add libsoprano-dev build dep.
  * Update install files.
  * New patch: workaround_boost_moc_ftbfs

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 17:05:10 +0200

kdepim (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:02 -0700

kdepim (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release (upstream 4.14.5).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove upstream patch: upstream_delete_the_part_from_the_mainwindow
  * Remove upstream patch: upstream_fix_crash_on_logout
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 15:37:05 +0100

kdepim (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix watch file.
  * Fix watch file to new application location.
  * Watchfiles will manual updates while these versions do
    not match the parent applications versions...

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:56 -0800

kdepim (4:4.14.2-2) unstable; urgency=medium

  * New upstream patch: upstream_delete_the_part_from_the_mainwindow.
    (Closes: #764362) Thanks to Alexandre Detiste
  * Comment more hasFocus calls in the tests.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 11:26:05 +0200

kdepim (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * New patch: upstream_fix_crash_on_logout (Closes: #764362) Thanks to
    Francesco Muzio
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:12:34 +0200

kdepim (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix extended-description-line-too-long in libkgantt2-0.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:01:47 -0700

kdepim (4:4.14.1-1) unstable; urgency=medium

  * Remove old Breaks/Replaces (for versions older than oldstable).
  * korganizer: recommend kdepim-kresources instead of just suggesting
    it. (Closes: #760472)
  * New upstream release (4.14.1).
  * kmail: Update install file.
  * Build tests on the testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Sep 2014 11:40:58 +0200

kdepim (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add debian/korganizer.links to link to autostart file from xdg
    directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Sep 2014 16:19:22 +0200

kdepim (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:46:46 +0200


