=== debian/control ===
Source: kdepim4
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev (>= 4:4.14.2),
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.0~),
               kdepimlibs5-dev (>= 4:4.14.8~),
               libakonadi-dev (>= 1.12.90),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee-dev (>= 0.4.0~),
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libqca2-dev (>= 2.0.0),
               libqjson-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/applications/kdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git -b 4.14

Package: knode
Section: news
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpgp4 (<< 4:4.10.2), kdepim-doc (<< 4:4.14.10-7~)
Replaces: libkpgp4 (<< 4:4.10.2), kdepim-doc (<< 4:4.14.10-7~)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:4.14.10-7~)
Replaces: kdepim-doc (<< 4:4.14.10-7~)
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.
 .
 This package is part of the KDE PIM module.

Package: libcalendarsupport4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar support library
 This library defines calendar related model objects for KDE PIM module
 applications and provides a common interface for accessing and managing
 calendars provided by Akonadi resources.
 .
 This package is part of the KDE PIM module.

Package: libincidenceeditorsng4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: incidence editors library
 This library implements GUI components for incidence (including but not
 limited to alarms, attendances, free-busy etc.) editing. These GUI components
 are widely used in various KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libpimcommon4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for common bits of KDEPIM
 This internal library is for sharing some common bits between
 the applications in KDEPIM

Package: libkdepim4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:4.13.90)
Replaces: kaddressbook (<< 4:4.13.90)
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkdepimdbusinterfaces4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkdgantt2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gantt chart library
 This library implements Gantt chart drawing functionality. It allows one to
 easily embed the Gantt charts into the application as long as it is capable
 of drawing QWidget or QGraphicsView objects.
 .
 This package is part of the KDE PIM module.

Package: libkleo4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: certificate based crypto library
 This package contains libkleo, a library for Kleopatra and other parts
 of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpgp4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: gpg based crypto library
 This package contains libkpgp4, a gnupg-library for KMail and other parts of
 kdepim using gpg-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libmessagecomposer4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libmessagecore4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libmessageviewer4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libsendlater4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: send later library
 This package contains the send later library which helps implementing the
 "Send Later" function.
 .
 This package is part of the KDE PIM module.

Package: libtemplateparser4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.
