=== debian/rules ===
#!/usr/bin/make -f

KDEPIM_RUNTIME_VERSION = 4:4.10.2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DKDEPIM_BUILD_MOBILE=false \
	    -DBUILD_console=false \
	    -DBUILD_akonadiconsole=false \
	    -DBUILD_akregator=false \
	    -DBUILD_blogilo=false \
	    -DBUILD_grantleeeditor=false \
	    -DBUILD_importwizard=false \
	    -DBUILD_kaddressbook=false \
	    -DBUILD_kalarm=false \
	    -DBUILD_kjots=false \
	    -DBUILD_kleopatra=false \
	    -DBUILD_kmail=false \
	    -DBUILD_kmailcvt=false \
	    -DBUILD_knotes=false \
	    -DBUILD_kontact=false \
	    -DBUILD_korgac=false \
	    -DBUILD_korganizer=false \
	    -DBUILD_ksendemail=false \
	    -DBUILD_ktnef=false \
	    -DBUILD_mboximporter=false \
	    -DBUILD_pimsettingexporter=false \
	    -DBUILD_sieveeditor=false \
	    -DBUILD_storageservicemanager=false \
	    -DKDE4_BUILD_TESTS=false

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepim-dbg (<= 4:15.12.1-1~~)'

override_dh_shlibdeps:
	$(overridden_command)
	set -e; \
	if [ -n "`ls debian/*.substvars 2>/dev/null`" ]; then \
	    echo "Tightening dependency on kdepim-runtime to (>= $(KDEPIM_RUNTIME_VERSION)"; \
	    sed -i '/^shlibs:[^=]\+=/{ s/\(^shlibs:[^=]\+=[[:space:]]*\|,[[:space:]]*\)\(kdepim-runtime\)\([[:space:]]*([[:space:]]*[><=]\+[^)]\+)\)\?/\1\2 (>= $(KDEPIM_RUNTIME_VERSION))/g }' debian/*.substvars; \
    fi
